## org.eclipse.datatools.enablement.sybase.asa.providers
Interface IVirtualNodeServiceFactory

    public interface IVirtualNodeServiceFactory

Field Summary
`static IVirtualNodeServiceFactory` `INSTANCE`

Method Summary
`IDataTypesFolder` `makeDataTypesFolder(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`
`IDBEventsFolder` `makeDBEventsFolder(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`
`IWebServicesFolder` `makeWebServicesFolder(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`

Field Detail

### INSTANCE

    static final IVirtualNodeServiceFactory INSTANCE

Method Detail

### makeDBEventsFolder

    IDBEventsFolder makeDBEventsFolder(java.lang.String name,
                                       java.lang.String displayName,
                                       java.lang.Object parent)

### makeWebServicesFolder

    IWebServicesFolder makeWebServicesFolder(java.lang.String name,
                                             java.lang.String displayName,
                                             java.lang.Object parent)

### makeDataTypesFolder

    IDataTypesFolder makeDataTypesFolder(java.lang.String name,
                                         java.lang.String displayName,
                                         java.lang.Object parent)